Bug 1008560 - Heat package needs to distribute dist defaults for heat.conf
Heat package needs to distribute dist defaults for heat.conf
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: openstack-heat (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeff Peeler
Amit Ugol
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-16 11:17 EDT by Jeff Peeler
Modified: 2014-06-05 05:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-12 21:26:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Peeler 2013-09-16 11:17:55 EDT
Currently heat.conf.sample is copied to heat.conf. Heat.conf needs to utilize package defaults to generate a working config.
Comment 1 Alan Pevec 2013-09-19 07:43:01 EDT
api-paste.ini should also be moved to /usr/share/heat/ so it can be safely overwritten on upgrades and pointed to in heat.conf:

[paste_deploy]
api_paste_config=/usr/share/heat/api-paste-dist.ini
Comment 2 Jeff Peeler 2014-02-12 21:26:18 EST
This was fixed in 2013.2-0.9.b3, which was released some time ago.

Note You need to log in before you can comment on or make changes to this bug.